Bug 256665 (kf5-5.83.0) - [exp-run] Update KDE Frameworks to 5.83.0
Summary: [exp-run] Update KDE Frameworks to 5.83.0
Status: Closed FIXED
Alias: kf5-5.83.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-17 07:09 UTC by Tobias C. Berner
Modified: 2021-07-09 21:53 UTC (History)
1 user (show)

See Also:
tcberner: exp-run?


Attachments
v1 (113.78 KB, patch)
2021-06-17 07:09 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2021-06-17 07:09:14 UTC
Created attachment 225885 [details]
v1

Moin moin 

kde@ would like to ask for an exp-run to upgrade KDE Frameworks to 5.83.0 .

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/kf5-5.83.v1.diff

mfg Tobias
Comment 2 Tobias C. Berner freebsd_committer 2021-06-26 19:24:34 UTC
(In reply to Antoine Brodin from comment #1)
Moin moin 

I have a fix for claligra that I can commit together with the upgrade.


mfg Tobias
Comment 3 commit-hook freebsd_committer 2021-07-09 21:50:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=680bd562fcf69bee54eefbe2f126c7fd853f3655

commit 680bd562fcf69bee54eefbe2f126c7fd853f3655
Author:     Tobias C. Berner <tcberner@FreeBSD.org>
AuthorDate: 2021-07-09 21:46:54 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2021-07-09 21:49:33 +0000

    */*: Update KDE Frameworks to 5.83

    Saturday, 12 June 2021

    KDE today announces the release of KDE Frameworks 5.83.0.

    KDE Frameworks are 83 addon libraries to Qt which provide a wide variety
    of commonly needed functionality in mature, peer reviewed and well
    tested libraries with friendly licensing terms. For an introduction see
    the KDE Frameworks release announcement.

    This release is part of a series of planned monthly releases making
    improvements available to developers in a quick and predictable manner.

    Full announcement:
            https://kde.org/announcements/frameworks/5/5.83.0/

    PR:             256665
    Exp-run by:     antoine

 Mk/Uses/kde.mk                                     |  2 +-
 archivers/kf5-karchive/Makefile                    |  1 -
 archivers/kf5-karchive/distinfo                    |  6 +-
 devel/kf5-extra-cmake-modules/distinfo             |  6 +-
 devel/kf5-extra-cmake-modules/pkg-plist            |  2 +-
 devel/kf5-kapidox/Makefile                         |  1 -
 devel/kf5-kapidox/distinfo                         |  6 +-
 devel/kf5-kauth/Makefile                           |  1 -
 devel/kf5-kauth/distinfo                           |  6 +-
 devel/kf5-kbookmarks/Makefile                      |  1 -
 devel/kf5-kbookmarks/distinfo                      |  6 +-
 devel/kf5-kcmutils/Makefile                        |  1 -
 devel/kf5-kcmutils/distinfo                        |  6 +-
 devel/kf5-kconfig/Makefile                         |  1 -
 devel/kf5-kconfig/distinfo                         |  6 +-
 devel/kf5-kconfig/pkg-plist                        |  1 +
 devel/kf5-kcoreaddons/Makefile                     |  1 -
 devel/kf5-kcoreaddons/distinfo                     |  6 +-
 devel/kf5-kcoreaddons/pkg-plist                    |  1 +
 devel/kf5-kcrash/Makefile                          |  1 -
 devel/kf5-kcrash/distinfo                          |  6 +-
 devel/kf5-kdbusaddons/Makefile                     |  1 -
 devel/kf5-kdbusaddons/distinfo                     |  6 +-
 devel/kf5-kdeclarative/Makefile                    |  1 -
 devel/kf5-kdeclarative/distinfo                    |  6 +-
 devel/kf5-kdoctools/Makefile                       |  1 -
 devel/kf5-kdoctools/distinfo                       |  6 +-
 devel/kf5-kdoctools/pkg-plist                      | 18 ++++
 devel/kf5-kfilemetadata/Makefile                   |  1 -
 devel/kf5-kfilemetadata/distinfo                   |  6 +-
 devel/kf5-ki18n/Makefile                           |  1 -
 devel/kf5-ki18n/distinfo                           |  6 +-
 devel/kf5-kidletime/Makefile                       |  1 -
 devel/kf5-kidletime/distinfo                       |  6 +-
 devel/kf5-kio/Makefile                             |  1 -
 devel/kf5-kio/distinfo                             |  6 +-
 ...atch-autotests_mimetypefinderjobtest.cpp (gone) | 39 ---------
 .../patch-src_core_mimetypefinderjob.cpp (gone)    | 22 -----
 .../patch-src_ioslaves_file_file__unix.cpp (gone)  | 38 ---------
 devel/kf5-kio/pkg-plist                            | 99 +---------------------
 devel/kf5-kitemmodels/Makefile                     |  1 -
 devel/kf5-kitemmodels/distinfo                     |  6 +-
 devel/kf5-knewstuff/Makefile                       |  1 -
 devel/kf5-knewstuff/distinfo                       |  6 +-
 devel/kf5-knotifications/Makefile                  |  1 -
 devel/kf5-knotifications/distinfo                  |  6 +-
 devel/kf5-knotifyconfig/Makefile                   |  1 -
 devel/kf5-knotifyconfig/distinfo                   |  6 +-
 devel/kf5-kpackage/Makefile                        |  1 -
 devel/kf5-kpackage/distinfo                        |  6 +-
 devel/kf5-kparts/distinfo                          |  6 +-
 devel/kf5-kpeople/Makefile                         |  1 -
 devel/kf5-kpeople/distinfo                         |  6 +-
 devel/kf5-kpeople/pkg-plist                        |  6 +-
 devel/kf5-kpty/Makefile                            |  1 -
 devel/kf5-kpty/distinfo                            |  6 +-
 devel/kf5-kservice/Makefile                        |  1 -
 devel/kf5-kservice/distinfo                        |  6 +-
 devel/kf5-ktexteditor/Makefile                     |  1 -
 devel/kf5-ktexteditor/distinfo                     |  6 +-
 devel/kf5-kunitconversion/Makefile                 |  1 -
 devel/kf5-kunitconversion/distinfo                 |  6 +-
 devel/kf5-solid/Makefile                           |  1 -
 devel/kf5-solid/distinfo                           |  6 +-
 devel/kf5-threadweaver/Makefile                    |  1 -
 devel/kf5-threadweaver/distinfo                    |  6 +-
 dns/kf5-kdnssd/Makefile                            |  1 -
 dns/kf5-kdnssd/distinfo                            |  6 +-
 editors/calligra/files/patch-CMakeLists.txt (new)  | 17 ++++
 .../files/patch-libs_text_CMakeLists.txt (new)     | 20 +++++
 graphics/kf5-kimageformats/Makefile                |  3 -
 graphics/kf5-kimageformats/distinfo                | 10 +--
 graphics/kf5-kplotting/Makefile                    |  1 -
 graphics/kf5-kplotting/distinfo                    |  6 +-
 graphics/kf5-kquickcharts/Makefile                 |  1 -
 graphics/kf5-kquickcharts/distinfo                 |  6 +-
 graphics/kf5-prison/Makefile                       |  1 -
 graphics/kf5-prison/distinfo                       |  6 +-
 lang/kf5-kross/Makefile                            |  1 -
 lang/kf5-kross/distinfo                            |  6 +-
 misc/kf5-purpose/Makefile                          |  1 -
 misc/kf5-purpose/distinfo                          |  6 +-
 multimedia/kf5-kmediaplayer/Makefile               |  1 -
 multimedia/kf5-kmediaplayer/distinfo               |  6 +-
 net/kf5-kcalendarcore/Makefile                     |  1 -
 net/kf5-kcalendarcore/distinfo                     |  6 +-
 net/kf5-kcontacts/Makefile                         |  1 -
 net/kf5-kcontacts/distinfo                         |  6 +-
 net/kf5-kdav/Makefile                              |  1 -
 net/kf5-kdav/distinfo                              |  6 +-
 net/kf5-kholidays/Makefile                         |  1 -
 net/kf5-kholidays/distinfo                         |  6 +-
 net/kf5-kxmlrpcclient/Makefile                     |  1 -
 net/kf5-kxmlrpcclient/distinfo                     |  6 +-
 net/kf5-syndication/Makefile                       |  1 -
 net/kf5-syndication/distinfo                       |  6 +-
 security/kf5-kdesu/Makefile                        |  1 -
 security/kf5-kdesu/distinfo                        |  6 +-
 sysutils/kf5-baloo/Makefile                        |  1 -
 sysutils/kf5-baloo/distinfo                        |  6 +-
 sysutils/kf5-baloo/pkg-plist                       | 95 ---------------------
 sysutils/kf5-kwallet/Makefile                      |  1 -
 sysutils/kf5-kwallet/distinfo                      |  6 +-
 textproc/kf5-kcodecs/Makefile                      |  1 -
 textproc/kf5-kcodecs/distinfo                      |  6 +-
 textproc/kf5-sonnet/Makefile                       |  1 -
 textproc/kf5-sonnet/distinfo                       |  6 +-
 textproc/kf5-syntax-highlighting/Makefile          |  1 -
 textproc/kf5-syntax-highlighting/distinfo          |  6 +-
 www/kf5-kdewebkit/Makefile                         |  1 -
 www/kf5-kdewebkit/distinfo                         |  6 +-
 www/kf5-khtml/Makefile                             |  1 -
 www/kf5-khtml/distinfo                             |  6 +-
 www/kf5-kjs/Makefile                               |  1 -
 www/kf5-kjs/distinfo                               |  6 +-
 www/kf5-kjsembed/Makefile                          |  1 -
 www/kf5-kjsembed/distinfo                          |  6 +-
 x11-themes/kf5-breeze-icons/Makefile               |  1 -
 x11-themes/kf5-breeze-icons/distinfo               |  6 +-
 x11-themes/kf5-breeze-icons/pkg-plist              | 35 +++++++-
 x11-themes/kf5-kemoticons/Makefile                 |  1 -
 x11-themes/kf5-kemoticons/distinfo                 |  6 +-
 x11-themes/kf5-kiconthemes/Makefile                |  1 -
 x11-themes/kf5-kiconthemes/distinfo                |  6 +-
 x11-themes/kf5-oxygen-icons5/distinfo              |  6 +-
 x11-themes/kf5-oxygen-icons5/pkg-plist             | 16 ++++
 x11-themes/kf5-qqc2-desktop-style/Makefile         |  1 -
 x11-themes/kf5-qqc2-desktop-style/distinfo         |  6 +-
 x11-toolkits/kf5-attica/Makefile                   |  1 -
 x11-toolkits/kf5-attica/distinfo                   |  6 +-
 x11-toolkits/kf5-kcompletion/Makefile              |  1 -
 x11-toolkits/kf5-kcompletion/distinfo              |  6 +-
 x11-toolkits/kf5-kconfigwidgets/Makefile           |  1 -
 x11-toolkits/kf5-kconfigwidgets/distinfo           |  6 +-
 x11-toolkits/kf5-kconfigwidgets/pkg-plist          |  2 +
 x11-toolkits/kf5-kdesignerplugin/Makefile          |  1 -
 x11-toolkits/kf5-kdesignerplugin/distinfo          |  6 +-
 x11-toolkits/kf5-kguiaddons/Makefile               |  1 -
 x11-toolkits/kf5-kguiaddons/distinfo               |  6 +-
 x11-toolkits/kf5-kirigami2/Makefile                |  1 -
 x11-toolkits/kf5-kirigami2/distinfo                |  6 +-
 x11-toolkits/kf5-kirigami2/pkg-plist               |  3 +
 x11-toolkits/kf5-kitemviews/Makefile               |  1 -
 x11-toolkits/kf5-kitemviews/distinfo               |  6 +-
 x11-toolkits/kf5-kjobwidgets/Makefile              |  1 -
 x11-toolkits/kf5-kjobwidgets/distinfo              |  6 +-
 x11-toolkits/kf5-ktextwidgets/Makefile             |  1 -
 x11-toolkits/kf5-ktextwidgets/distinfo             |  6 +-
 x11-toolkits/kf5-kwidgetsaddons/Makefile           |  1 -
 x11-toolkits/kf5-kwidgetsaddons/distinfo           |  6 +-
 x11-toolkits/kf5-kxmlgui/Makefile                  |  1 -
 x11-toolkits/kf5-kxmlgui/distinfo                  |  6 +-
 x11/kf5-frameworkintegration/Makefile              |  1 -
 x11/kf5-frameworkintegration/distinfo              |  6 +-
 x11/kf5-kactivities-stats/Makefile                 |  1 -
 x11/kf5-kactivities-stats/distinfo                 |  6 +-
 x11/kf5-kactivities/Makefile                       |  1 -
 x11/kf5-kactivities/distinfo                       |  6 +-
 x11/kf5-kded/Makefile                              |  1 -
 x11/kf5-kded/distinfo                              |  6 +-
 x11/kf5-kdelibs4support/Makefile                   |  1 -
 x11/kf5-kdelibs4support/distinfo                   |  6 +-
 x11/kf5-kglobalaccel/Makefile                      |  1 -
 x11/kf5-kglobalaccel/distinfo                      |  6 +-
 x11/kf5-kinit/Makefile                             |  1 -
 x11/kf5-kinit/distinfo                             |  6 +-
 x11/kf5-krunner/Makefile                           |  1 -
 x11/kf5-krunner/distinfo                           |  6 +-
 x11/kf5-kwayland/Makefile                          |  1 -
 x11/kf5-kwayland/distinfo                          |  6 +-
 x11/kf5-kwindowsystem/Makefile                     |  1 -
 x11/kf5-kwindowsystem/distinfo                     |  6 +-
 x11/kf5-plasma-framework/Makefile                  |  1 -
 x11/kf5-plasma-framework/distinfo                  |  6 +-
 x11/kf5-plasma-framework/pkg-plist                 |  3 +
 175 files changed, 362 insertions(+), 620 deletions(-)
Comment 4 Tobias C. Berner freebsd_committer 2021-07-09 21:53:13 UTC
Committed. Thanks for the exp-run.